﻿@model List<CarRental.Core.Models.Car>
@{
    ViewData["Title"] = "List";
    Layout = "~/Areas/Customer/Views/Shared/_LayoutCustomer.cshtml";
}

<div class="container mb-3 mt-5">
    <button class="btn btn-grid">
        <i class="fa fa-th"></i>
    </button>
    <button class="btn btn-list">
        <i class="fa fa-list"></i>
    </button>
</div>

<section class="ftco-section bg-light">
    <div class="container grid-container">
        <div class="row">
            @foreach (var item in Model)
            {
                <div class="col-md-4">
                    <div class="car-wrap rounded ftco-animate">
                        <div class="img rounded d-flex align-items-end"
                         style="background-image: url('@item.CarImage.FrontImg');">
                        </div>
                        <div class="text">
                            <h2 class="mb-0"><a href="@Url.Action("ViewCarDetails", "Cars", new { carId = item.CarId })">@item.CarName</a></h2>
                            <div class="d-flex mb-3">
                                <span class="cat">@item.ProductionYears</span>
                                <p class="price ml-auto">@string.Format("{0:N0} VND", @item.BasePrice) <span>VND/day</span></p>
                            </div>
                            <p class="d-flex mb-0 d-block">
                                <a href="@Url.Action("RentCar", "Cars", new { carId = item.CarId })" class="btn btn-success py-2 mr-1">Rent now</a>
                                <a href="@Url.Action("ViewCarDetails", "Cars", new { carId = item.CarId })" class="btn btn-primary py-2 ml-1">Details</a>
                            </p>
                        </div>
                    </div>
                </div>
            }
        </div>
        <div class="row mt-5">
            <div class="col text-center">
                <div class="block-27">
                    <ul>
                        <li><a href="#">&lt;</a></li>
                        <li class="active"><span>1</span></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">5</a></li>
                        <li><a href="#">&gt;</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="container list-container" style="display: none;">
        <div class="row">
            @foreach (var item in Model)
            {
                <div class="col-md-12">
                    <div class="row car-wrap rounded ftco-animate">
                        <div class="col-md-5 d-flex align-items-center">
                            <div class="img rounded"
                             style="background-image: url('@item.CarImage.FrontImg');">
                            </div>
                        </div>
                        <div class="col-md-5 text">
                            <h2 class="mb-0"><a href="@Url.Action("ViewCarDetails", "Cars", new { carId = item.CarId })">@item.CarName</a></h2>
                            <div class="d-flex mb-3">
                                <span class="cat">Cheverolet</span>
                            </div>
                            <div class="d-flex mb-3">
                                <span class="mr-2">Ratings: </span>
                                <span class="star">
                                    <span>
                                        <i class="ion-ios-star"></i>
                                        <i class="ion-ios-star"></i>
                                        <i class="ion-ios-star"></i>
                                        <i class="ion-ios-star"></i>
                                        <i class="ion-ios-star"></i>
                                    </span>
                                </span>
                            </div>
                            <div class="d-flex mb-3">
                                <span>No. of rides: 0</span>
                            </div>
                            <div class="d-flex mb-3">
                                <p class="price">@string.Format("{0:N0} VND", @item.BasePrice) <span>VND/day</span></p>
                            </div>
                            <div class="d-flex mb-3">
                                <span>Locations: @string.Format($"{@item.Address.Ward}, {@item.Address.District}, {@item.Address.City}")</span>
                            </div>
                            <div class="d-flex mb-3">
                                <span>Status: <span style="color: green;">@item.CarStatus</span></span>
                            </div>
                        </div>
                        <div class="col-md-2 d-flex align-items-center">
                            <p class="mb-0 d-flex flex-column">
                                <a href="@Url.Action("RentCar", "Cars", new { carId = item.CarId })" class="btn btn-success flex-fill pt-3 pb-3 px-3 mb-2">
                                    Rent now
                                </a>
                                <a href="@Url.Action("ViewCarDetails", "Cars", new { carId = item.CarId })"
                               class="btn btn-primary flex-fill pt-3 pb-3 px-3 mt-2">Details</a>
                            </p>
                        </div>
                    </div>
                </div>
            }
        </div>
        <div class="row mt-5">
            <div class="col text-center">
                <div class="block-27">
                    <ul>
                        <li><a href="#">&lt;</a></li>
                        <li class="active"><span>1</span></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">5</a></li>
                        <li><a href="#">&gt;</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>

